Package org.codehaus.groovy.runtime.callsite

# Class NullCallSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.NullCallSite

All Implemented Interfaces:
  `CallSite`

public final class NullCallSite extends AbstractCallSite

## Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name`

## Constructor Summary

Constructors
Constructor
Description
`NullCallSite(CallSite callSite)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`call(Object receiver, Object[] args)`
`Object`
`getProperty(Object receiver)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullCallSite

public NullCallSite(CallSite callSite)

## Method Details

### call

public Object call(Object receiver, Object[] args) throws Throwable

Specified by:
  `call` in interface `CallSite`
Overrides:
  `call` in class `AbstractCallSite`
Throws:
  `Throwable`

### getProperty

public Object getProperty(Object receiver) throws Throwable

Specified by:
  `getProperty` in interface `CallSite`
Overrides:
  `getProperty` in class `AbstractCallSite`
Throws:
  `Throwable`